Bug Hunting Session
Bug 95419 - FILEOPEN: looong time loading specific .ods
Summary: FILEOPEN: looong time loading specific .ods
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.6.1 rc
Hardware: All All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.4 target:4.4.7
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-10-29 17:05 UTC by Eike Rathke
Modified: 2016-10-25 19:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
recalculated test case document (703.13 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2015-11-05 14:40 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2015-10-29 17:05:23 UTC
Loading attachment 114042 [details] (1st) of bug 89957 in 4.4.6 or 5.0.3 or master spends a very long time in calculating things, it eventually is ready after a few minutes, but one is declined to think the program would hang..
Comment 1 MM 2015-10-29 18:26:31 UTC
File opens quite fast (<10 secs) in v4.2.8.2 under mint 17.2 x64. Already a bit slower (20-25 secs) in v4.3.7.2. From v4.4 on, after a period of fast loading and calculating, it looks like it's getting itself a cuppa coffee.

Set as regression.
Comment 2 Commit Notification 2015-10-30 18:30:32 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2c8358c99d465b8396931fb0bddec0a013031af

tdf#95419 fix performance fall-out, tdf#92749 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2015-10-30 18:41:32 UTC
That isn't applicable to 5.0 or earlier though where code is different.
Comment 4 Eike Rathke 2015-10-30 20:36:04 UTC
So, the bulk performance bottle neck is due to commit 01eea7fe40c939311bf1920b6e8b4391a93c2e82 for bug 91278. This again will be fixed by the already pending https://gerrit.libreoffice.org/19660 for 4-4 and https://gerrit.libreoffice.org/19659 for 5-0.
Comment 5 Commit Notification 2015-11-02 11:44:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=956782b87d1c4a59159f9ec485f80909c19b397e&h=libreoffice-5-0

Resolves: tdf#95395 force range reference to array only in array formula, also tdf#95419

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-11-02 17:08:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bcc5a690f9707464195483c400427d9ccd6d8dc

avoid construction of ScRefCellValue with default ctor, tdf#95419 related

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-11-03 20:30:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61a7e6f039294103a1721ec95724d067cf205d0b&h=libreoffice-4-4

Resolves: tdf#95395 force range reference to array only in array formula, also tdf#95419

It will be available in 4.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2015-11-05 14:40:36 UTC
Created attachment 120289 [details]
recalculated test case document

The original attachment 114042 [details] was stored with plenty of #VALUE! errors, this attachment is the same document fully recalculated.
Comment 9 Timur 2015-11-12 17:26:27 UTC
With master~2015-11-12_00.06.20_LibreOfficeDev_5.1.0.0.alpha1_Win_x86_en-US_de_ar_ja_ru_qtz, problem still exists.
Comment 10 Eike Rathke 2015-11-12 18:09:52 UTC
@Timur:
1. which document, the broken attachment 114042 [details] of bug 89957, or the
   recalculated attachment 120289 [details] of this bug here?
2. the exact load time on your machine is ...?
Comment 11 MM 2015-11-12 23:27:07 UTC
Problem still exists on v4.4.7.1 under windows 7 x64.
The first as well as the second document takes forever and a day to load.
Comment 12 Timur 2015-11-13 09:31:29 UTC
(In reply to Eike Rathke from comment #10)
> @Timur:
> 1. which document, the broken attachment 114042 [details] of bug 89957, or
> the recalculated attachment 120289 [details] of this bug here?
the recalculated attachment 120289 [details]
> 2. the exact load time on your machine is ...?
3 min 45 sec on i7
Comment 13 Timur 2015-11-13 09:43:14 UTC
To be precise, the recalculated attachment 120289 [details] took 3 min 45 sec with master, while it took 4 min 45 sec with 5.0.3 on the same i7 machine.
Comment 14 Eike Rathke 2015-11-19 22:31:41 UTC
That's odd. For me it takes 0:51 in a master dbgutil build, which is slower than a release build of the same branch. Linux on i7-2620M CPU.
On 5-0 branch (to-be 5.0.4) it takes 1:12
Comment 15 Eike Rathke 2015-11-19 22:39:14 UTC
I forgot, 5:06 in 5.0.3
Comment 16 Timur 2015-11-20 09:54:49 UTC
I tried again today with master~2015-11-18_22.36.40_LibreOfficeDev_5.1.0.0.alpha1_Win_x86_en-US_de_ar_ja_ru_qtz and it took around 18 sec. 
So, I'll be free to mark this as Fixed.
Comment 17 Commit Notification 2016-01-04 16:44:57 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ea839ae3904d96dcea35a0339f3e6ee7d58bbaa

correct WEEKNUM DayOfWeek handling, tdf#50950 follow-up, tdf#95419 related

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2016-01-04 17:18:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dee3bcdb9e91f338b66872ae939bf790ab7bf061&h=libreoffice-5-1

correct WEEKNUM DayOfWeek handling, tdf#50950 follow-up, tdf#95419 related

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Eike Rathke 2016-01-04 17:20:03 UTC
Bah, typo, those ^^^ are not related, sorry for fuzz.